from ngsolve import *
from netgen.geom2d import unit_square

mesh = Mesh (unit_square.GenerateMesh(maxh=0.1))
V = VectorH1(mesh, order=4, dirichlet="top")
u1 = GridFunction(V)

import pickle

pickler = pickle.Pickler(open ("1.dat", "wb"))
data = [u1]
pickler.dump(data)
del pickler

v1 = GridFunction(V)
unpickler = pickle.Unpickler(open("1.dat","rb"))
up1, = unpickler.load()

v1.vec.data = up1.data